; Date: 28 August 1997
; Version: 1.0
; Author: Mark K. Joseph
;
; This file defines configuration data defined for the user by Qualcomm.
; This configuration data defines what the LDAP client is initialized to when no other
; configuration data is available.  
;
; Note:
; 1) This file MUST appear in the same directory as the "LDAP.DLL" for it to work.
; 2) This file is ignored if the current LDAP client contains any existing configuration data.
;    If the user deletes all configuration data in the registry and then brings up the directory application
;    again then this data will be loaded.
; 3) ALL the values below have been constructed by performing queries on the listed internet LDAP servers.
;    In other words they are real.  Also not that the commented out values (i.e., lines starting with ';') below
;    are for example only and are not real.
; 4) The format below is as follows:
;
;    There is one main section called "[LDAP]", which lists all the servers (i.e., their fully qualified domain names)
;    in the file along with their section numbers.
;
;    Each LDAP server can have two sections: "[#-parameters]" section is required and can hold 
;    the following standard configuration items:
;    "UserSrvName" is a user friendly string for an LDAP server (default value ""),
;    "SearchBase"  is a X.500 string indicating where in the directory tree to start searching (default value "c=US"),
;    "SearchHitLimit" is a number defining the number of maximun search hits that should be returned (default value 0 [0 means no limit]),
;    "SearchTimeOut" is the number of seconds (in 30 second increments) defining how long the LDAP server should continue the search (default value 0 [0 means no limit]),
;    "ReturnAll" corresponds to 'Return listed attributes only'. Set this FALSE to limit results to listed attributes only,
;    "Port" is the TCP/IP port number where an LDAP server is waiting (default value 389),
;    "LogonRequired" is a BOOLEAN defining whether the LDAP server required a logon account and password (default value FALSE), 
;    "AccountName" is a string defining an account on an LDAP server (default value ""),
;    "AccountPassword" is a string that goes along with the "AccountName" parameter (default value ""),
;    "LogFile" is a path to a file to place detailed logging information (NOTE setting this option significantly slows down the application) (default value ""),
;    "LogOverWrite" is a BOOLEAN defining whether the LogFile should be cleared before each new logging session (limits file size if TRUE) (default value FALSE),
;    "LogFlags" is a bit mask where the value "3" turns enables all logging information (default value 0).
;
;    Each LDAP server can have a "[#-attributes]" section (which is optional), and it defines the
;    mapping of LDAP server field names (e.g., "sn") to human readable strings (e.g., "Last Name").
;
;    The format of these attributes takes one of two forms:
;
;    (1) "OrganizationPerson=ASCII NAME", where "OrganizationPerson" is a LDAP server attribute name,
;    "ASCII" is the type of its value, and "NAME" is a built in value indicating who the value of the
;    field is to be presented to the user.
;
;    Note: Setting an attributes' type and name to "NULL" will cause that attribute to not be
;    displayed in the search results. For instance: [o=NULL NULL] (without brackets) would prevent the
;    LDAP attribute "o" (short for organization) from being displayed in the returned search results.
;
;    (2) "st=WORDDOC USERDEFINED "state", where "st" is a LDAP server attribute name, "WORDDOC" is the
;    built in type of its value, "USERDEFINED" is a built in type indicating that the following string
;    is not built in and was typically defined by the user.
;
; 5) Below there are examples of everything described above.
;

[LDAP]
ServerCount=2
1=ldap.whowhere.com
2=ldap.bigfoot.com
;*** Normally, this file is only used to initialize a "clean" registry (i.e. one that has not ***
;*** had a prior Eudora Directory Services installation). Set "UpdateRegistry=TRUE" to cause  ***
;*** this file to be merged with the current registry settings.                               ***
UpdateRegistry=FALSE

[1-parameters]
; The WhoWhere LDAP server requires a search hit limit of around 100 or it WON'T WORK
UserSrvName=Who Where
SearchHitLimit=100
SearchTimeOut=300

[2-parameters]
UserSrvName=Big Foot
SearchBase=c=US

[2-attributes]
o=ASCIIZ USERDEFINED "Organization"

